<?xml version="1.0" encoding="UTF-8"?><!--Converted at: Wed Sep 03 17:24:12 KST 2014-->
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">


<mapper namespace="com.tisquare.mvp.mcs.db.PromotionDao">

    <!--
        ============================================================
        Query
        ============================================================
    -->



    <select id="selectPromotionCampPackInfo" resultType="com.tisquare.mvp.mcs.model.PromotionCampPackInfo" parameterType="com.tisquare.mvp.mcs.model.PromotionCampPackInfo">
        <![CDATA[
             SELECT
              A.REL_PHONE_NO AS rel_phone_no,
              A.REL_NAME AS rel_name,
              A.REL_BIRTH AS rel_birth,
              A.RELATIONSHIP AS relationship,
              A.NAME AS NAME,
              A.BIRTH as birth,
              A.ENTER_UNIT AS enter_unit,
              A.ENTER_DATE AS enter_date,
              A.REL_ADDR AS rel_addr,
              A.REL_ADDR_NO AS rel_addr_no, DATE_FORMAT(A.REG_DATE,'%Y%m%d%H%i%S') AS reg_date
            FROM T_PROMOTION_CAMPACK_INFO A
            WHERE A.REL_PHONE_NO = #{mdn}
            LIMIT 1
        ]]>
    </select>

    <select id="selectPromotionCampPackInfoSoldier" resultType="com.tisquare.mvp.mcs.model.PromotionCampPackInfo" parameterType="com.tisquare.mvp.mcs.model.PromotionCampPackInfo">

           SELECT
            A.REL_PHONE_NO AS rel_phone_no,
            A.REL_NAME AS rel_name,
            A.REL_BIRTH AS rel_birth,
            A.REL_IUID as rel_iuid,
            A.REL_GENDER as rel_gender,
            A.RELATIONSHIP AS relationship,
            A.NAME AS name,
            A.BIRTH as birth,
            A.ENTER_UNIT AS enter_unit,
            A.ENTER_DATE AS enter_date,
            A.REL_ADDR AS rel_addr,
            A.REL_ADDR_NO AS rel_addr_no, DATE_FORMAT(A.REG_DATE,'%Y%m%d%H%i%S') AS reg_date
            FROM T_PROMOTION_CAMPACK_INFO A
            WHERE A.NAME = #{name} AND A.BIRTH = #{birth} AND ENTER_DATE = #{enter_date} AND ENTER_UNIT = #{enter_unit}
            LIMIT 1

    </select>


    <insert id="insertPromotionCampPackInfo" parameterType="com.tisquare.mvp.mcs.model.PromotionCampPackInfo">
        <![CDATA[
        INSERT INTO T_PROMOTION_CAMPACK_INFO (NAME, BIRTH, ENTER_DATE, ENTER_UNIT, REL_NAME, REL_PHONE_NO, REL_IUID, REL_GENDER, RELATIONSHIP, REL_BIRTH, REL_ADDR, REL_ADDR_NO, REG_DATE, CHG_DATE)
        VALUES (#{name}, #{birth}, #{enter_date}, #{enter_unit}, #{rel_name}, #{mdn}, #{rel_iuid}, #{rel_gender}, #{relationship}, #{rel_birth}, #{rel_addr}, #{rel_addr_no}, now(), now())
        ]]>
    </insert>

</mapper>